Mailinglist Archive: opensuse-bugs (13000 mails)

< Previous Next >
[Bug 467332] New: Incomplete tools for Debian packages (deb)
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 19 Jan 2009 05:55:05 -0700 (MST)
  • Message-id: <bug-467332-21960@xxxxxxxxxxxxxxxxxxxxxxxxx/>
https://bugzilla.novell.com/show_bug.cgi?id=467332


Summary: Incomplete tools for Debian packages (deb)
Classification: openSUSE
Product: openSUSE 11.1
Version: RC 2
Platform: All
OS/Version: openSUSE 11.1
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Other
AssignedTo: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: bjoern@xxxxxxxxxxxxxxx
QAContact: qa@xxxxxxx
Found By: ---


Created an attachment (id=265996)
--> (https://bugzilla.novell.com/attachment.cgi?id=265996)
complete log with error messages

User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-AT; rv:1.8.1.19)
Gecko/20081204 SeaMonkey/1.1.14

The openSUSE 11.1 tools for Debian packages (deb-1.14.21-10.37) seam to be
incomplete. The Perl package Dpkg/Gettext.pm is missing.



Reproducible: Always

Steps to Reproduce:
If for example openSUSE 11.1 is used to build Debian packages of the Vanilla,
the last step fails.

1. Install a kernel source (Vanilla kernel, for instance 2.6.27.11)
2. configure the kernel
3. type "make deb-pkg"
Actual Results:
[...]
MKDIR debian/tmp/lib/firmware/keyspan_pda
INSTALL debian/tmp/lib/firmware/keyspan_pda/keyspan_pda.fw
INSTALL debian/tmp/lib/firmware/keyspan_pda/xircom_pgs.fw
DEPMOD 2.6.27.11
Can't locate Dpkg/Gettext.pm in @INC (@INC contains:
/usr/lib/perl5/5.10.0/i586-linux-thread-multi /usr/lib/perl5/5.10.0
/usr/lib/perl5/site_perl/5.10.0/i586-linux-thread-multi
/usr/lib/perl5/site_perl/5.10.0
/usr/lib/perl5/vendor_perl/5.10.0/i586-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl .) at
/usr/bin/dpkg-gencontrol line 9.
BEGIN failed--compilation aborted at /usr/bin/dpkg-gencontrol line 9.
make[1]: *** [deb-pkg] Error 2
make: *** [deb-pkg] Error 2


Expected Results:
a Debian package like linux-2.6.27.11*.deb

Making Debian kernel packages worked in previous versions of openSUSE (e.g. in
11.0).

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >